import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/revise_list_s_g_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/revise_list_s_g_entity.g.dart';

@JsonSerializable()
class ReviseListSGEntity {
	int total = 0;
	List<ReviseListSGRows> rows = [];

	ReviseListSGEntity();

	factory ReviseListSGEntity.fromJson(Map<String, dynamic> json) => $ReviseListSGEntityFromJson(json);

	Map<String, dynamic> toJson() => $ReviseListSGEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class ReviseListSGRows {
	@JSONField(name: "revise_id")
	String? reviseId = null;
	@JSONField(name: "revise_hours")
	String? reviseHours = null;
	String? name = null;
	String? nric = null;
	@JSONField(name: "job_date")
	String? jobDate = null;
	@JSONField(name: "job_time")
	String? jobTime = null;
	@JSONField(name: "start_time")
	String? startTime = null;
	@JSONField(name: "end_time")
	String? endTime = null;
	@JSONField(name: "adjust_hours")
	String? adjustHours = null;
	@JSONField(name: "total_hours")
	String? totalHours = null;
	int status = 0;
	@JSONField(name: "status_show")
	String? statusShow = null;
	@JSONField(name: "action_list")
	List<String>? actionList = [];

	ReviseListSGRows();

	factory ReviseListSGRows.fromJson(Map<String, dynamic> json) => $ReviseListSGRowsFromJson(json);

	Map<String, dynamic> toJson() => $ReviseListSGRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}